{% load i18n static %}
{% load check_permissions %}

<div id="internal-references" class="content">
    <h2 class="tag-container-expand mt-4 mb-2 u-flex u-items-flex-end u-justify-space-between pb-1">
        {% blocktranslate count counter=internal_references|length trimmed %}
            Internal reference
        {% plural %}
            Internal references
        {% endblocktranslate %}
        {% if user|can_add_mlgr %}
            <a
                class="text-light"
                href="#internal-reference-create"
                data-action="modals#open"
                >
                <span class="tag tag--halflarge tag--update tag--info bg-gray-700"> 
                    <svg class="svgicon svgicon-plus">
                        <use xlink:href="{% static 'web/img/symbol-defs.svg' %}#icon-plus"></use>
                    </svg> 
                </span><span class="tag tag--halflarge tag--hover tag--info bg-gray-700">
                    {% translate 'Add' %}
                </span>
            </a>
        {% endif %}
    </h2>
    {% if user|can_add_mlgr %}
        <div
            id="internal-reference-create"
            class="modal modal-large modal-animated--zoom-in"
            data-controller="turbo"
            data-turbo-url-value="{% url 'web:'|add:object_kind|add:'-internal-reference-create' object_pk %}"
            data-turbo-autocomplete-value="id_to_passage"
            >
            <a href="#back" data-modals-target="closebtn" class="modal-overlay close-btn u-text-right" aria-label="{% translate 'Close' %}">
                <span class="icon mt-2 mr-3">
                    <svg aria-hidden="true" focusable="false" data-prefix="fas" data-icon="times" class="svg-inline--fa fa-times fa-w-11 fa-wrapper" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 352 512"><path fill="#fff" d="M242.72 256l100.07-100.07c12.28-12.28 12.28-32.19 0-44.48l-22.24-22.24c-12.28-12.28-32.19-12.28-44.48 0L176 189.28 75.93 89.21c-12.28-12.28-32.19-12.28-44.48 0L9.21 111.45c-12.28 12.28-12.28 32.19 0 44.48L109.28 256 9.21 356.07c-12.28 12.28-12.28 32.19 0 44.48l22.24 22.24c12.28 12.28 32.2 12.28 44.48 0L176 322.72l100.07 100.07c12.28 12.28 32.2 12.28 44.48 0l22.24-22.24c12.28-12.28 12.28-32.19 0-44.48L242.72 256z"></path></svg>
                </span>
            </a>
            <div class="modal-content" role="document" data-turbo-target="wrapper"></div>
        </div>
    {% endif %}

    <ul class="tag-container group-tags no-bullets">
    {% for internal_reference in internal_references %}
        <li class="i18n-item tag-container-expand px-1 pt-1">
            <a href="{{ internal_reference.to_passage.get_absolute_url }}">
                {{ internal_reference.to_passage }} ({{ internal_reference.get_reference_type_display }})
                {% if user|can_delete:internal_reference %}
                    <a
                        class="u-pull-right"
                        href="#internal-reference-delete-{{ internal_reference.pk }}"
                        data-action="modals#open"
                        >
                        <span class="tag tag--halflarge tag--delete tag--danger"> 
                            <svg class="svgicon svgicon-cancel-circle">
                                <use xlink:href="{% static 'web/img/symbol-defs.svg' %}#icon-cancel-circle"></use>
                            </svg> 
                            </span><span class="tag tag--halflarge tag--hover tag--danger">
                            {% translate 'Remove' %}
                        </span>
                    </a>
                {% endif %}
            </a>
        </li>
    {% endfor %}
    </ul>
    {% for internal_reference in internal_references %}
        <div
            id="internal-reference-delete-{{ internal_reference.pk }}"
            class="modal modal-large modal-animated--zoom-in"
            data-controller="turbo"
            data-turbo-url-value="{% url 'web:'|add:object_kind|add:'-internal-reference-delete' object_pk internal_reference.pk %}"
            >
            <a href="#back" data-modals-target="closebtn" class="modal-overlay close-btn u-text-right" aria-label="{% translate 'Close' %}">
                <span class="icon mt-2 mr-3">
                    <svg class="svgicon svgicon-cross">
                        <use xlink:href="{% static 'web/img/symbol-defs.svg' %}#icon-cross"></use>
                    </svg>
                </span>
            </a>

            <div class="modal-content" role="document" data-turbo-target="wrapper"></div>
        </div>
    {% endfor%}
</div>
